title: RPC Interface sidebar_position: 13

** RPCReceiveRestful class **

take over

Interface address:/api/rest_j/v1/rpc/receive

Request method: POST

Request data type: application/json

Response data type: */*

Interface description:rpc receive

Request Parameters:

No

Response Status:

Status codeDescriptionschema
200OKMessage
201Created
401Unauthorized
403Forbidden
404Not Found

Response parameters:

parameter nameparameter descriptiontypeschema
dataDatasetobject
messageDescriptionstring
methodrequest urlstring
statusStatusinteger(int32)integer(int32)

Sample Response:

{
    "data": {},
    "message": "",
    "method": "",
    "status": 0
}

Receive and reply

Interface address: /api/rest_j/v1/rpc/receiveAndReply

Request method: POST

Request data type: application/json

Response data type: */*

Interface description:rpc receive and reply

Request Parameters:

No

Response Status:

Status codeDescriptionschema
200OKMessage
201Created
401Unauthorized
403Forbidden
404Not Found

Response parameters:

parameter nameparameter descriptiontypeschema
dataDatasetobject
messageDescriptionstring
methodrequest urlstring
statusStatusinteger(int32)integer(int32)

Sample Response:

{
    "data": {},
    "message": "",
    "method": "",
    "status": 0
}

Reply

Interface address: /api/rest_j/v1/rpc/replyInMills

Request method: POST

Request data type: application/json

Response data type: */*

Interface description:rpc reply

Request Parameters:

No

Response Status:

Status codeDescriptionschema
200OKMessage
201Created
401Unauthorized
403Forbidden
404Not Found

Response parameters:

parameter nameparameter descriptiontypeschema
dataDatasetobject
messageDescriptionstring
methodrequest urlstring
statusStatusinteger(int32)integer(int32)

Sample Response:

{
    "data": {},
    "message": "",
    "method": "",
    "status": 0
}